Bug 136796 - iptables initscript start() function logic might be wrong
iptables initscript start() function logic might be wrong
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 09:16 EDT by Sergey Benner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 06:25:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey Benner 2004-10-22 09:16:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.53  [en]

Description of problem:
The start() function of the script contains probably the 
broken logic. 
The script includes the /etc/sysconfig/iptables-config parameters.
Additional modules so to say. In the current case it is
IPTABLES_MODULES="".
And the logic of the start() script loads these additional modules
after the calling of $IPTABLES-restore $OPT $IPTABLES_DATA.
Which results in the falure of the iptables-restore function.
In my case it's ipt_MASQUERADE module. And the stored iptables isn't 
loaded the masquerading rules in this case. Because it loads
the module after restoring. The solution is to moves 
the flollowing script block 
------------
 if [ -n "$IPTABLES_MODULES" ]; then
        echo -n $"Loading additional $IPTABLES modules: "
        ret=0
        for mod in $IPTABLES_MODULES; do
            echo -n "$mod "
            modprobe $mod > /dev/null 2>&1
            let ret+=$?;
        done
        [ $ret -eq 0 ] && success || failure
        echo
    fi
------------

before the  
-
echo -n $"Applying $IPTABLES firewall rules: "
-
call


Version-Release number of selected component (if applicable):
iptables-1.2.11-3.1.i386  iptables-1.2.9-2.3.1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 Thomas Woerner 2005-03-18 10:47:15 EST
The masquerading module will be loaded by iptables itself. This is no helper
module. I do not know, what exactly you are trying to do.
Comment 2 Thomas Woerner 2005-11-18 06:25:02 EST
Closing due to user inactivity.

Note You need to log in before you can comment on or make changes to this bug.